Mocha Pro, Linux, and Fusion 9


#1

Is it known if Mocha Pro OFX works with Fusion 9 Studio on Linux? I did a fresh install of a Centos 7 system just to test this, and get the same error I’m getting on my machine. Fusion 9 works fine on this machine, but as soon as I install the Mocha Pro plugin (6.0.3), it crashes when I try to start Fusion 9:

DNX SDK API version 2.3.4-41-r
QSocketNotifier: Can only be used with threads started with QThread
*** Error in `/opt/BlackmagicDesign/Fusion9/Fusion': free(): invalid pointer: 0x00007f3081b12b00 ***

I can post the full backtrace, but first I was wondering if this configuration is even expected to work?


#2

Hi, sorry for the delay, a large percentage of the Boris FX team was at NAB. Let me double check with @martinb and make sure we do.

Cheers,
Mary


#3

Thanks, I have now been in contact with @martinb through the support channel.


#4

Great, I wanted to make sure this hadn’t slipped through the cracks.